This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 827843 - (CVE-2012-1940, CVE-2012-1941, CVE-2012-1947) CVE-2012-1940 CVE-2012-1941 CVE-2012-1947 Mozilla: Buffer overflow and use-after-free issues found using Address Sanitizer (MFSA 2012-40)
CVE-2012-1940 CVE-2012-1941 CVE-2012-1947 Mozilla: Buffer overflow and use-af...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120605,repor...
: Security
Depends On:
Blocks: 816119
  Show dependency treegraph
 
Reported: 2012-06-03 05:01 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-01-26 07:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 20:26:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-06-03 05:01:50 EDT
Security researcher Abhishek Arya of Google used the Address Sanitizer tool to uncover several issues: two heap buffer overflow bugs and a use-after-free problem. The first heap buffer overflow was found in conversion from unicode to native character sets when the function fails. The use-after-free occurs in nsFrameList when working with column layout with absolute positioning in a container that changes size. The second buffer overflow occurs in nsHTMLReflowState when a window is resized on a page with nested columns and a combination of absolute and relative positioning. All three of these issues are potentially exploitable. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-40.html
Comment 1 Murray McAllister 2012-06-04 23:23:23 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue.
Upstream acknowledges security researcher Abhishek Arya of Google as the
original reporter.
Comment 2 errata-xmlrpc 2012-06-05 16:59:39 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0710 https://rhn.redhat.com/errata/RHSA-2012-0710.html
Comment 3 errata-xmlrpc 2012-06-06 19:51:36 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:0715 https://rhn.redhat.com/errata/RHSA-2012-0715.html

Note You need to log in before you can comment on or make changes to this bug.